1. Payments
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
      • processCard
      • processAuth
      • processCapture
      • processBatch
      • retrieveBatch (CSV)
      • retrieveBatch (JSON Response)
      • retrieveBatch (JSON Notify)
      • refundCard
      • queryCard
      • processDDebit
      • processDDebitAuth
      • processVoid
      • verifyCard
      • queryDD
      • queryBIN
      • getSettlement
      • checkEnrollment
      • checkPARes
      • addBlacklistedCard
      • removeBlacklistedCard
      • queryBlacklistedCard
      • simulateNotify
      • getSurcharge
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
      • Step 2 - checkEnrollment
      • Step 4 - checkTDSAuth
      • Step 6 - checkPARes
      • Step 7 - processCard
      • Authorization Only processCard
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
          POST
        • Get Payment
          GET
        • Get Payment Status
          GET
        • Search Payments
          GET
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
      • refundPOS
      • voidPOS
      • deregisterPOS
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
      • processAuth
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
      • removeCard
      • cardInfo
      • changeExpiry
      • processCard
      • processAuth
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
      • Get Payout Status
      • Resend Notifications
      • Get Payout Transaction Status
      • Get Payout Transaction Notify
    • Partner API
      • Introduction
      • addMerchant
      • updateMerchant
      • checkMerchant
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. Payments

Search Payments

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
GET
/npp/payto/agreement/{agreementIdentification}/payment

Request

Path Params

Query Params

Header Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/npp/payto/agreement/6ecae9efaeee1ba39a5dcc9ecbf36e09/payment?from=2023-10-01%2000%3A00&to=2023-10-31%2023%3A59&pageNumber=undefined&pageSize=undefined&timezone=Australia%2FBrisbane' \
--header 'MW-API-VERSION: 2.0' \
--header 'MW-MERCHANTID: 4aa82af83c95d' \
--header 'MW-APIKEY: mz3dz5fp' \
--header 'MW-MESSAGEHASH: 59e5f6f02777398bfd5652d041f1e0d3e44e30587308c55c7053f5e7d4b3a48d'
Response Response Example
{
    "responseCode": 0,
    "responseMessage": "Operation successful",
    "result": [
        {
            "payer": {
                "name": "Bruce Wayne",
                "address": "345 Ann Street",
                "city": "Brisbane",
                "state": "Queensland",
                "postcode": "4127",
                "country": "Australia",
                "phone": "0422222666",
                "email": "bruce@wayneindustries.com"
            },
            "transaction": {
                "status": "approved",
                "reference": "e828bebaf1c24e2291ca06835794bfa1",
                "product": "$20.00 Weekly Gym Membership",
                "amount": 50,
                "created": "2023-08-09 17:16",
                "udpated": "2023-08-10 16:10"
            }
        },
        {
            "payer": {
                "name": "Bruce Wayne",
                "address": "345 Ann Street",
                "city": "Brisbane",
                "state": "Queensland",
                "postcode": "4127",
                "country": "Australia",
                "phone": "0422222666",
                "email": "bruce@wayneindustries.com"
            },
            "transaction": {
                "status": "approved",
                "reference": "163c25f88f5d4833a8c3d7d2f59efabb",
                "product": "$20.00 Weekly Gym Membership",
                "amount": 50,
                "created": "2023-08-09 17:16",
                "udpated": "2023-08-10 16:10"
            }
        },
        {
            "payer": {
                "name": "Bruce Wayne",
                "address": "345 Ann Street",
                "city": "Brisbane",
                "state": "Queensland",
                "postcode": "4127",
                "country": "Australia",
                "phone": "0422222666",
                "email": "bruce@wayneindustries.com"
            },
            "transaction": {
                "status": "approved",
                "reference": "e25d0f5998f346c8903f1e991e5e5e21",
                "product": "$20.00 Weekly Gym Membership",
                "amount": 50,
                "created": "2023-08-09 17:16",
                "udpated": "2023-08-10 16:10"
            }
        }
    ]
}
Modified at 2026-07-14 12:46:27
Previous
Get Payment Status
Next
Introduction
Built with